Project

General

Profile

Bug #10839

OpenSSL 1.0.2 does not allow wrap mode (fixed by r49525)

Added by nagachika (Tomoyuki Chikanaga) over 5 years ago. Updated over 5 years ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-dev:48858]

Description

バックポート管理用です。

r49525 の修正が RubyCI の Yosemite での 1F をなおしてくれそうです。


Related issues

Is duplicate of Ruby master - Bug #10229: RFC 5649 implementation in OpenSSL breaks Ruby.Closedopenssl09/11/2014Actions

Updated by nagachika (Tomoyuki Chikanaga) over 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: REQUIRED, 2.1: DONE, 2.2: REQUIRED

Backported into ruby_2_1 at r49548.

Updated by nagachika (Tomoyuki Chikanaga) over 5 years ago

r49575 で fedora での失敗の調査(?)のため追加修正あり。

Updated by naruse (Yui NARUSE) over 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: DONE, 2.2: REQUIRED to 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE

ruby_2_2 r49584 merged revision(s) 49525,49575.

Updated by nagachika (Tomoyuki Chikanaga) over 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE to 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: REQUIRED

r49579 で Fedora21 での CI も対応した模様。
Backport の DONE を外しておきます。

Updated by nagachika (Tomoyuki Chikanaga) over 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: REQUIRED, 2.1: DONE, 2.2: REQUIRED

r49575 and r49579 were merged into ruby_2_1 branch at r49588.

Updated by usa (Usaku NAKAMURA) over 5 years ago

  • Backport changed from 2.0.0: REQUIRED, 2.1: DONE, 2.2: REQUIRED to 2.0.0: DONE, 2.1: DONE, 2.2: REQUIRED

ruby_2_0_0 r49626 merged revision(s) 49525,49575,49579.

Updated by naruse (Yui NARUSE) over 5 years ago

  • Backport changed from 2.0.0: DONE, 2.1: DONE, 2.2: REQUIRED to 2.0.0: DONE, 2.1: DONE, 2.2: DONE

ruby_2_2 r49636 merged revision(s) 49579.

#8

Updated by vo.x (Vit Ondruch) over 5 years ago

  • Is duplicate of Bug #10229: RFC 5649 implementation in OpenSSL breaks Ruby. added

Also available in: Atom PDF